[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.FormEndUpdated

Realizes all cached changes after a bulk update to a form. Calls the inherited FormEndUpdated method, then informs each child control.

## Declaration

Source position: controls.pp line 2300

`protected procedure TWinControl.FormEndUpdated; override;`

## See also

TControl.FormEndUpdated |  | Called for each control on a form where the update count has reached 0 (zero).